Bug Hunting Session
Bug 46816 - UI: Incorrect error message with Insert Names Define
Summary: UI: Incorrect error message with Insert Names Define
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.6.0 target:3.5.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 04:28 UTC by pierre-yves samyn
Modified: 2012-03-06 00:44 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-03-01 04:28:12 UTC
Hello

Steps to reproduce
1. Create a new spreadsheet (same with an existing one)
2. Insert> Names> Define

Current behaviour: Open dialog with the error message "Invalid name. Only use letters, numbers and underscore"

Expected behavior Open Dialog  with :
- Display "Define the name and range or formula expression."
- Add button disabled / Cancel button enabled 

On open of the dialog, disable the Add button is enough to avoid "empty" names. So :
- Enable Add button  when the name is correct
- Disable the Add button and display the message "Invalid name. Only use letters, numbers and underscore" only when wrong character used.

Display an error message before any user intervention is to me an error in the ergonomics of this feature.

I find that unfortunate considering all the improvements cf.

https://wiki.documentfoundation.org/Design/Whiteboard/Calc_Range_Names
http://lists.freedesktop.org/archives/libreoffice-ux-advise/2011-July/000073.html

Regards
Pierre-Yves
Comment 1 Not Assigned 2012-03-02 16:05:37 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e93e78c85e0c4eea174483f1d27ee38fd00ee21

don't show an error message for empty names in Define Names, fdo#46816
Comment 2 Not Assigned 2012-03-02 19:23:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4f0ef5790bd06145d977183da0ee244c5c46058&g=libreoffice-3-5

don't show an error message for empty names in Define Names, fdo#46816


It will be available in LibreOffice 3.5.2.
Comment 3 Not Assigned 2012-03-05 04:34:27 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3730a7173298814a709a0bcbb2150288ea1c464d&g=libreoffice-3-5-1

don't show an error message for empty names in Define Names, fdo#46816


It will be available already in LibreOffice 3.5.1.
Comment 4 pierre-yves samyn 2012-03-06 00:44:48 UTC
(In reply to comment #3)
> It will be available already in LibreOffice 3.5.1.

you're great... and fast !
Thank's

PYS